%define _disable_ld_no_undefined 1

Name:		medusa
Version:	2.2
Release:	%mkrel 5
Summary:	Medusa Parallel Network Login Auditor
License:	GPLv2
Group:		Security
URL:		http://www.foofus.net/jmk/medusa/medusa.html
Source0:	http://www.foofus.net/jmk/tools/%{name}-%{version}.tar.gz
Patch0:		349ef7f0c24b627c6dbba8bcd5b47173806473a2.patch
BuildRequires:  apr-devel
BuildRequires:  pkgconfig(libssh2)
BuildRequires:  subversion-devel
BuildRequires:  postgresql-devel
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  libgcrypt-devel
BuildRequires:  freerdp-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  ncpfs-devel

%description
Medusa is intended to be a speedy, massively parallel, modular, login
brute-forcer. The goal is to support as many services which allow remote
authentication as possible. The author considers following items as some of the
key features of this application:
* Thread-based parallel testing. Brute-force testing can be performed against
  multiple hosts, users or passwords concurrently.
* Flexible user input. Target information (host/user/password) can be specified
  in a variety of ways. For example, each item can be either a single entry or
  a file containing multiple entries. Additionally, a combination file format
  allows the user to refine their target listing.
* Modular design. Each service module exists as an independent .mod file. This
  means that no modifications are necessary to the core application in order to
  extend the supported list of services for brute-forcing.

%prep
%setup -q
%patch0 -p 1

%build
# fix build on aarch64
autoreconf -vfi
	
# required type off64_t is not available under all environments, ugly hack for ugly system headers
export CPPFLAGS="-Doff64_t=__off64_t %{optflags} -fcommon"
export CFLAGS="-Doff64_t=__off64_t %{optflags} -fcommon"
%configure --enable-module-afp=yes
%make_build

%install
# required type off64_t is not available under all environments, ugly hack for ugly system headers
export CPPFLAGS="-Doff64_t=__off64_t %{optflags}" ; export CFLAGS="-Doff64_t=__off64_t %{optflags}"
%make_install

%files
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO doc/*.html
%{_bindir}/medusa
%{_libdir}/medusa/
%{_mandir}/man1/medusa.1*





%changelog
* Tue Aug 25 2020 guillomovitch <guillomovitch> 2.2-5.mga8
+ Revision: 1619013
- fix build

* Thu Feb 13 2020 umeabot <umeabot> 2.2-4.mga8
+ Revision: 1515142
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.2-3.mga7
+ Revision: 1299513
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 2.2-2.mga7
+ Revision: 1239337
- fix build on aarch64
- build with -Wl,--as-needed

* Fri Sep 08 2017 guillomovitch <guillomovitch> 2.2-1.mga7
+ Revision: 1151892
- 2.2 final
- fix build with openssl 1.1

* Wed Mar 02 2016 umeabot <umeabot> 2.2-0.rc2.3.mga6
+ Revision: 983679
- Rebuild for openssl

* Mon Feb 15 2016 umeabot <umeabot> 2.2-0.rc2.2.mga6
+ Revision: 961359
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 guillomovitch <guillomovitch> 2.2-0.rc2.1.mga6
+ Revision: 840332
- new version 2.2rc2

* Tue Nov 25 2014 cjw <cjw> 2.1.1-6.mga5
+ Revision: 799050
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-5.mga5
+ Revision: 747243
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-4.mga5
+ Revision: 682344
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1.1-3.mga4
+ Revision: 507911
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.1.1-2.mga3
+ Revision: 359924
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 guillomovitch <guillomovitch> 2.1.1-1.mga3
+ Revision: 307133
- new version
- switch to security group

* Wed Jul 27 2011 guillomovitch <guillomovitch> 2.0-4.mga2
+ Revision: 129893
- don't forget html doc files

* Tue Jul 19 2011 guillomovitch <guillomovitch> 2.0-3.mga2
+ Revision: 126478
- imported package medusa


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0-3mdv2011.0
+ Revision: 612847
- the mass rebuild of 2010.1 packages

* Mon Apr 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-2mdv2010.1
+ Revision: 536801
- fix plugins location on x86_64

* Mon Apr 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-1mdv2010.1
+ Revision: 536790
- import medusa


* Mon Apr 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-1mdv2010.1
- initial mdv package
